Subject: Re: bug#18357: 24.3.93; Calendar not fully displayed

From: martin rudalics <[email-masked]>
Date: Sat, 30 Aug 2014 18:40:06 +0200

> The screen shot shows builds from trunk without and with toolkit scroll
 > bars.  For the former, window-height of the Customize buffer is 26 in
 > both, while window-height of the Calendar buffer is 8 for the
 > non-toolkit and 9 for the toolkit build.  Interestingly, it looks to me
 > like the Customize buffer of the non-toolkit build is 2-3 pixels higher
 > than that of the toolkit build, but I assume that it due to the exact
 > height of the horizontal scroll bar, which takes up a line of height.

If you use horizontal scroll bars, the height of the initial frame is
larger by the height of one scroll bar.  You should be able to verify
this by calling `window--dump-frame' in that frame.  Note that the
height of the scroll bar is specified by the toolkit and should be taken
exactly, without rounding to lines.  Any line/column values you see are
only estimates due to rounding.  If you set `window-resize-pixelwise' to
t, `fit-window-to-buffer' should also size the calendar exactly to its
height - modulo the mode line height which it cannot tell in advance.

martin